/*===========================================================================*\
| PULLSHEL.C - A shell program to develop any               ver 2.1, 08-01-89 |
|              application of pull-down menus.                                |
|                                                                             |
|   Copyright (c) 1989 James H. LeMay, All rights reserved.                   |
|   Conversion to Turbo C by Jordan Gallagher / Wisdom Research               |
\*===========================================================================*/

#ifdef __TURBOC__
#include <dir.h>
#else
#include <dos.h>
#endif
#include <string.h>

#include "pullc21.h"
#include "pullshel.h"

#ifdef __TURBOC__
#pragma warn -use
#endif

char origpathname[68];

#ifdef __TURBOC__
static struct {
    char v1;
    int v2;
} _align_;

#if sizeof(_align_)==3
#error Word alignment required
#endif
#endif

void displayscreen(void)
{
    wwrite( 1, 1, "PULLSHELL v2.1            Multi-level Pu"
                  "ll-down Menus       Copr 1989  J H LeMay" );
    showtopline();
    setwindowmodes(PERMMODE);
    makewindow( 3, 1, crt_rows-3, crt_cols, WHITE+BLUE_BG, LIGHTGRAY+BLACK_BG,
                DOUBLE_BORDER, WINDOW1 );
    setwindowmodes(0);
    wwritec( 1, "This is my first pull-down menu program" );
}

void main()
{
/*  qsnow = 0; */
#ifdef MULTIWORKWNDWS
    topworkwndwname=WINDOW1;
#endif
    prefer_multitask=1;    /* Use multi-tasking MTVB if possible. */
    initpull( LIGHTGRAY, 0, 0 );       /* <<-- be sure you do this!! */
    displayscreen();
    gotokeydispatcher();     /* <<-- all keyboard entries go through here! */
    accesswindow( WINDOW0 );
    wclrscr();
    wgotorc( crt_rows, 1 );
    setcursor( cursor_initial );       /* Restore start up cursor */
}
